\input Head

\section{\tt TypeConversion}
1. Handler for calls to an action "tseries".

//================================================
// Sequence -> TimeSeries conversion 
//================================================


\subsection{User Interface}

\begin{verbatim}

class TSeriesFunction: CallChain::Function
{
public:
  //: Default constructor - construction of dummy instance registers the Eval
  //+ method as the handler for calls to the action named by the GetName method
  TSeriesFunction();

  //: Evaluate an action call
  //!param: Chain - environment of the action call
  //!param: Params - container of parameter names
  //!param: Ret - return value name
  virtual void Eval(CallChain* Chain,
                    const CallChain::Params& Params,
                    const std::string& Ret) const;

  //: Get the name of the handled action
  //!return: The name of the handled action
  virtual const std::string& GetName(void) const;
};



\end{verbatim}

\subsection{Description}
Implements the CallChain::Function interface for an action
"tseries", and supplies code to evaluate the operation.


\subsection{Operating Instructions}

\subsubsection{Example Usage}
CallChain chain;
    char* par[4]={"input", "rate", NULL}; // list of parameters

    Sequence<T> in(0.,16384); // first parameter is sequence initialized by zeroes

    Scalar<double> Rate(16384.);            // assign data rate to second parameter

    // Need to create copies of the input data because once AddSymbol
    // has been called on an object it's the CallChains responsibility to delete it
    CallChain::Symbol* input = in.Clone();
    CallChain::Symbol* rate = Rate.Clone();

    // set name and reference for 1st parameter
    chain.AddSymbol("input", input);
    // set name and reference for 2nd parameter 
    chain.AddSymbol("rate", rate);

    // Append call to action "tseries"
    chain.AppendCallFunction("tseries",  par, "result");

    chain.Execute();

    // get pointer to output
    udt* out=chain.GetSymbol("result"); 

    // get pointer to resulting Timeseries
    if ( udt::IsA<TimeSeries<T> >(*out) )
    {
      TimeSeries<T>* ts =\&(udt::Cast<TimeSeries<T> >(*out));
    }

\subsubsection{Options/Defaults}


\subsection{Exceptions}

\subsubsection{Exceptions Thrown}
The Eval method may throw exceptions indicating an invalid action call syntax.

\subsubsection{Exceptions Handled}


\subsection{Algorithms}


\subsection{Accuracy}


\subsection{Performance}

\subsection{Testing}
tTypeConversion.cc - checks proper assignment of data samples and sampling rate
for different types of input Sequence objects.

\subsection{Notes}
This class is one of many similar classes implementing the
CallChain::Function interface, each to handling a particular action.
Code implementing the particular action syntax is found in the body of the
Eval method.

\subsection{See Also}
CallChain::Function, TimeSeries
 
\subsection{References}

\input Tail

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "datacondAPI"
%%% End: 









